// Code generated by go-swagger; DO NOT EDIT.

package operations

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"
	"github.com/go-openapi/strfmt"

	"github.com/openclarity/kubeclarity/sbom_db/api/client/models"
)

// GetSbomDBResourceHashReader is a Reader for the GetSbomDBResourceHash structure.
type GetSbomDBResourceHashReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *GetSbomDBResourceHashReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewGetSbomDBResourceHashOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 404:
		result := NewGetSbomDBResourceHashNotFound()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	default:
		result := NewGetSbomDBResourceHashDefault(response.Code())
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		if response.Code()/100 == 2 {
			return result, nil
		}
		return nil, result
	}
}

// NewGetSbomDBResourceHashOK creates a GetSbomDBResourceHashOK with default headers values
func NewGetSbomDBResourceHashOK() *GetSbomDBResourceHashOK {
	return &GetSbomDBResourceHashOK{}
}

/* GetSbomDBResourceHashOK describes a response with status code 200, with default header values.

Success
*/
type GetSbomDBResourceHashOK struct {
	Payload *models.SBOM
}

func (o *GetSbomDBResourceHashOK) Error() string {
	return fmt.Sprintf("[GET /sbomDB/{resourceHash}][%d] getSbomDBResourceHashOK  %+v", 200, o.Payload)
}
func (o *GetSbomDBResourceHashOK) GetPayload() *models.SBOM {
	return o.Payload
}

func (o *GetSbomDBResourceHashOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.SBOM)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetSbomDBResourceHashNotFound creates a GetSbomDBResourceHashNotFound with default headers values
func NewGetSbomDBResourceHashNotFound() *GetSbomDBResourceHashNotFound {
	return &GetSbomDBResourceHashNotFound{}
}

/* GetSbomDBResourceHashNotFound describes a response with status code 404, with default header values.

SBOM not found.
*/
type GetSbomDBResourceHashNotFound struct {
}

func (o *GetSbomDBResourceHashNotFound) Error() string {
	return fmt.Sprintf("[GET /sbomDB/{resourceHash}][%d] getSbomDBResourceHashNotFound ", 404)
}

func (o *GetSbomDBResourceHashNotFound) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	return nil
}

// NewGetSbomDBResourceHashDefault creates a GetSbomDBResourceHashDefault with default headers values
func NewGetSbomDBResourceHashDefault(code int) *GetSbomDBResourceHashDefault {
	return &GetSbomDBResourceHashDefault{
		_statusCode: code,
	}
}

/* GetSbomDBResourceHashDefault describes a response with status code -1, with default header values.

Unknown error
*/
type GetSbomDBResourceHashDefault struct {
	_statusCode int

	Payload *models.APIResponse
}

// Code gets the status code for the get sbom d b resource hash default response
func (o *GetSbomDBResourceHashDefault) Code() int {
	return o._statusCode
}

func (o *GetSbomDBResourceHashDefault) Error() string {
	return fmt.Sprintf("[GET /sbomDB/{resourceHash}][%d] GetSbomDBResourceHash default  %+v", o._statusCode, o.Payload)
}
func (o *GetSbomDBResourceHashDefault) GetPayload() *models.APIResponse {
	return o.Payload
}

func (o *GetSbomDBResourceHashDefault) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.APIResponse)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
